Next Generation Emulation banner

1 - 5 of 5 Posts

·
Registered
Joined
·
13 Posts
Discussion Starter #1
I just installed the Windows XP RCI (Release Candidate 1)....and now Lewpy's Plugin crashes right from the start..it worked fine with Beta1 and Beta2 of WinXP...Pete's Plugin seems to work fine...it's just when I use Lewpy's Plugin I get a garbled screen and then the system restarts (I have a Voodoo5)...Lewpy if you happen to read this, would you have any suggestions of what I could try to do to trouble shoot this problem...
 

·
Premium Member
Joined
·
538 Posts
Well, what drivers are you using?
Since my plugin uses Glide3, and Microsoft does not provide Glide3 drivers with the drivers that they supply. They don't even provide OpenGL drivers: they just do GDI and DirectX.
I downloaded the Voodoo3/5 drivers that Microsoft released for RC1 the other day on WindowsUpdate, but these are just GDI/DirectX drivers.
I have not tried my plugin under WinXP (apart from testing the COPY INFO text, to check detection of WinXP and DirectX8.1), so would guess the problem you are having is a bad interaction between the drivers you have loaded and the Glide3x.dll file you are trying to use.
 

·
Registered
Joined
·
13 Posts
Discussion Starter #3
I did some research on the M$ hardware forums and to find that there would need to be drivers created for the Voodoo 5 for WinXP...I've tried the Win2000 drivers (Voodoo 5 from 3Dfx website, and those don't seem to work...Would it be possible to just copy over working drivers or something???...(I'm desperate)...WinXP runs fast and run great on my network!!...It's just I'm stuck with crappy Direct3D...

Another thing I did is run the test for your plugin on epxse and it was succusful (but I still have the same problem actually running a game)...I tried to find another PC game that uses Glide..but couldn't find any around at the time..(oh yeah Operation Flashpoint uses glide..I'll try that later)....oh and is the Glide3x.dll the only dll your plugin uses..???
 

·
Premium Member
Joined
·
538 Posts
My plugin only uses Glide3x.dll, but that may have its own DLL dependencies.
You could try dropping the GLIDE3X.DLL from the last Voodoo5 driver release for Win2000 in to the ePSXe directory, and try that. I have doubts it will work though, as the Microsoft drivers probably don't have the support the Glide driver needs to run properly.
 

·
I'm in despair!
Joined
·
3,420 Posts
Unfortunatly, currently there are several issues when using a Voodoo card on WinXP RC1. There seem to be no set of drivers capable of running Glide, OpenGL and Direct3D in this OS.

If you're really desperate for Glide, there is a workaround to get it working, but you'll screw Direct3D and OpenGL. Install this set of drivers (and don't use the setup, force them on the device manager).

[]s Badaro
 
1 - 5 of 5 Posts
Top